Bug 1327856 - Add upstream patch for memory leak
Summary: Add upstream patch for memory leak
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-16 23:42 UTC by cely
Modified: 2016-05-06 19:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-05-06 19:51:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 735705 None None None 2016-04-16 23:42 UTC

Description cely 2016-04-16 23:42:21 UTC
Description of problem:

gnome-shell leaks memory in VTs that are not active


Version-Release number of selected component (if applicable):

GNOME Shell 3.16.4

Name        : gnome-shell
Version     : 3.16.4
Release     : 1.fc22
Architecture: x86_64

How reproducible:
Very.

Steps to Reproduce:
1. Log in as one user
2. Log in as another user
3. Wait 24 hours

Actual results:
gdm & user1 gnome-shell process memory is much too high


Expected results:

All gnome-shell processes should have similar memory usage

Additional info:

https://bugzilla.gnome.org/show_bug.cgi?id=735705#c53

Please release an RPM for gnome-shell including the patch in the comment linked above.

Comment 1 Fedora Update System 2016-04-21 13:20:40 UTC
gnome-shell-3.16.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89e3334638

Comment 2 Fedora Update System 2016-04-22 03:23:03 UTC
gnome-shell-3.16.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89e3334638

Comment 3 Fedora Update System 2016-05-06 19:51:50 UTC
gnome-shell-3.16.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.